///File : MainFrame.hpp
//------------------------------------------------------------------------------
/*
    This file is part of LCDnurse.

    LCDnurse is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    LCDnurse is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with LCDnurse.  If not, see <http://www.gnu.org/licenses/>.
*/
#if not defined MAIN_FRAME_HPP_LCD_NURSE
#define MAIN_FRAME_HPP_LCD_NURSE

//------------------------------------------------------------------------------
#include "wx/wxprec.h"

#ifdef __BORLANDC__
    #pragma hdrstop
#endif

#ifndef WX_PRECOMP
    #include "wx/wx.h"
#endif
//------------------------------------------------------------------------------
#include <wx/stdpaths.h>
//------------------------------------------------------------------------------
#include "findFile.hpp"
#include "MainPanel.hpp"
#include "DataManager.hpp"
//------------------------------------------------------------------------------

class MainFrame : public wxFrame
{
public:
    MainFrame(const wxString& title, const wxPoint& pos, const wxSize& size, long style = wxDEFAULT_FRAME_STYLE);

    void OnFrameClose(wxCloseEvent& event);

protected:
    MainPanel *m_MainPanel;
    DataManager m_Data;

    DECLARE_EVENT_TABLE()
};

#endif //MAIN_FRAME_HPP_LCD_NURSE
